GROUPMOD(8)

NAME
groupmod - Modifier un groupe

SYNOPSIS

groupmod [-g gid [-o]] [-n nouveau_nom_groupe] groupe

DESCRIPTION

La commande groupmod modifie les fichiers d'administration des comptes du système pour refléter les modifications spécifiées sur la ligne de commande.

OPTIONS

Les options disponibles pour la commande groupmod sont :

-g gid
    La valeur numérique de l'identifiant du groupe ([ NdT : group ID ou GID ]). Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système. Vous devrez modifier vous-même le groupe propriétaire de tous les fichiers possédés par ce groupe.

-n nouveau_nom_groupe
    Le nom du groupe sera modifié de groupe vers nouveau_nom_groupe.

FICHIERS

/etc/group
    informations sur les groupes

/etc/gshadow
    informations cachées sur les groupes

VALEUR DE RETOUR

La commande groupmod retourne les valeurs suivantes en quittant :

0   succès

2   erreur de syntaxe

3   argument non valable pour l'option

4   le groupe spécifié n'existe pas

6   le groupe spécifié n'existe pas

9   nom de groupe déjà utilisé

10  impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).